import Vue from 'vue';

import VueCarousel from 'vue-carousel';
import { library } from '@fortawesome/fontawesome-svg-core';
import { faCalendarAlt, faDoorOpen, faClock} from '@fortawesome/free-solid-svg-icons';
import { faTwitter} from '@fortawesome/free-brands-svg-icons';
import { FontAwesomeIcon, FontAwesomeLayers, FontAwesomeLayersText } from '@fortawesome/vue-fontawesome'

import App from './App.vue';

Vue.use(VueCarousel);

Vue.component('font-awesome-icon', FontAwesomeIcon);
Vue.component('font-awesome-layers', FontAwesomeLayers);
Vue.component('font-awesome-layers-text', FontAwesomeLayersText);


library.add(
    faCalendarAlt,
    faDoorOpen,
    faTwitter,
    faClock
);

Vue.config.productionTip = false;

new Vue({
  render: h => h(App),
}).$mount('#app');
